#ifndef CLAHE_H
#define CLAHE_H

#include <QImage>
#include <QPixmap>
#include <QString>
#include <opencv2/imgproc.hpp>
#include <opencv2/imgcodecs.hpp>

class CLAHE
{
    cv::Mat _lumImage;
    cv::Mat _image[3];
    double _scale;
public:
    CLAHE();
    void loadFile(const QString &path);
    void saveFile(const QString &path);
    void apply(float clipLimit, int kernelSize);
    QPixmap getImage() const;
    QPixmap getLumImage() const;
    bool imageLoaded() const;
};

#endif // CLAHE_H
